Get oEmbed information
GET
https://api.datawrapper.de/v3/oembed Retreive embedding information about a Datawrapper visualization. See our oEmbed tutorial and the official oEmbed specification for more information.
Example Request
curl --request GET \
--url 'https://api.datawrapper.de/v3/oembed?url=example-url&format=json&maxwidth=12345' \
--header 'Authorization: Bearer <YOUR_TOKEN_HERE>'# 2 more query parameters available — see below.Query Parameters
| Name | Type | Allowed values | Required | Description |
|---|---|---|---|---|
format | string | json Default: json | No | The response format. Currenly only JSON is supported. |
url | string | Any | Yes | The URL of the Datawrapper visualization you want to retreive embedding information |
maxwidth | integer | Any | No | The maximum width of the embedded visualization |
maxheight | integer | Any | No | The maximum height of the embedded visualization |
iframe | boolean | Any | No | Force iframe-only embedding |
Response
| Field | Type | Required | Description |
|---|---|---|---|
type | string | No | |
version | string | No | |
provider_name | string | No | |
provider_url | string | No | |
title | string | No | |
html | string | No | |
width | integer | No | |
height | integer | No |